Security Enhanced Linux Reference Policy

# Layer: apps

## Module: ipmitool

Interfaces

### Description:

Intelligent Platform Management Interface (IPMI) Tool

### Interfaces:

ipmitool_domtrans( domain )

##### Summary

Execute the ipmitool program in the ipmitool domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ipmitool_exec( domain )

##### Summary

Execute ipmitool in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipmitool_nnp_domtrans( domain )

##### Summary

Transition to ipmitool_t when NNP has been set

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ipmitool_run( domain , role )

##### Summary

Execute ipmitool in the ipmitool domain, and allow the specified role the ipmitool domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return